I have been asked by a number of people as to why Visual Studio 2005 targets only one version of the .NET Framework, specifically in this case, .NET FX 2.0.  

 

John Rivard, in the Visual Studio team, recently wrote a good blog that explains this in detail.  To be clear, we do want to get to a state where Visual Studio can target multiple versions of the .NET Framework.  There is a lot of work that needs to happen and folks in the team are thinking about this.  I don’t know when we will get there, but it is something we definitely want to get to.

 

Namaste!